| OpenCV 3.4.3 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::CirclesGridFinderParameters Struct Reference
Camera Calibration and 3D Reconstruction

`#include "calib3d.hpp"`

Inheritance diagram for cv::CirclesGridFinderParameters:

## Public Types
enum | GridType { SYMMETRIC_GRID, ASYMMETRIC_GRID }

## Public Member Functions
| CirclesGridFinderParameters ()

## Public Attributes
float | convexHullFactor
cv::Size2f | densityNeighborhoodSize
float | edgeGain
float | edgePenalty
float | existingVertexGain
GridType | gridType
int | keypointScale
int | kmeansAttempts
float | minDensity
int | minDistanceToAddKeypoint
float | minGraphConfidence
float | minRNGEdgeSwitchDist
float | vertexGain
float | vertexPenalty

## Member Enumeration Documentation

## § GridType

enum cv::CirclesGridFinderParameters::GridType

Enumerator
SYMMETRIC_GRID |
ASYMMETRIC_GRID |

## Constructor & Destructor Documentation

## § CirclesGridFinderParameters()

cv::CirclesGridFinderParameters::CirclesGridFinderParameters | ( |  | ) |

## Member Data Documentation

## § convexHullFactor

float cv::CirclesGridFinderParameters::convexHullFactor

## § densityNeighborhoodSize

cv::Size2f cv::CirclesGridFinderParameters::densityNeighborhoodSize

## § edgeGain

float cv::CirclesGridFinderParameters::edgeGain

## § edgePenalty

float cv::CirclesGridFinderParameters::edgePenalty

## § existingVertexGain

float cv::CirclesGridFinderParameters::existingVertexGain

## § gridType

GridType cv::CirclesGridFinderParameters::gridType

## § keypointScale

int cv::CirclesGridFinderParameters::keypointScale

## § kmeansAttempts

int cv::CirclesGridFinderParameters::kmeansAttempts

## § minDensity

float cv::CirclesGridFinderParameters::minDensity

## § minDistanceToAddKeypoint

int cv::CirclesGridFinderParameters::minDistanceToAddKeypoint

## § minGraphConfidence

float cv::CirclesGridFinderParameters::minGraphConfidence

## § minRNGEdgeSwitchDist

float cv::CirclesGridFinderParameters::minRNGEdgeSwitchDist

## § vertexGain

float cv::CirclesGridFinderParameters::vertexGain

## § vertexPenalty

float cv::CirclesGridFinderParameters::vertexPenalty

The documentation for this struct was generated from the following file:

- calib3d/include/opencv2/calib3d.hpp